Bug 6952 - Suggestion: Move internal pytalloc.h away from talloc.h
Suggestion: Move internal pytalloc.h away from talloc.h
Status: RESOLVED WORKSFORME
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.3
Other Linux
: P3 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 06:22 UTC by Torsten Kurbad
Modified: 2011-10-12 14:21 UTC (History)
2 users (show)

See Also:


Attachments
samba-3.4.3-pytalloc.h-subdir.patch (5.80 KB, patch)
2009-12-02 07:00 UTC, Torsten Kurbad
no flags Details
samba-3.4.3-pytalloc.h-subdir.patch (9.57 KB, patch)
2009-12-10 16:10 UTC, Torsten Kurbad
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Kurbad 2009-12-02 06:22:20 UTC
With standalone talloc-2.0.0 installed, after running (simplified):

./configure --without-talloc --enable-merged-build

make bin/samba4

runs into the following error:

Compiling ../librpc/gen_ndr/ndr_drsuapi_c.c
In file included from /usr/include/python2.6/Python.h:8,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:26:
/usr/include/python2.6/pyconfig.h:1061:1: warning: "_POSIX_C_SOURCE" redefined
In file included from /usr/include/stdint.h:26,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:20:
/usr/include/features.h:158:1: warning: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:26:
/usr/include/python2.6/pyconfig.h:1073:1: warning: "_XOPEN_SOURCE" redefined
In file included from /usr/include/stdint.h:26,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:20:
/usr/include/features.h:160:1: warning: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/provision.c:28:
/usr/include/python2.6/pyconfig.h:1061:1: warning: "_POSIX_C_SOURCE" redefined
In file included from /usr/include/stdio.h:28,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/../lib/replace/../replace/replace.h:39,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/include/includes.h:23,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/provision.c:20:
/usr/include/features.h:158:1: warning: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/provision.c:28:
/usr/include/python2.6/pyconfig.h:1073:1: warning: "_XOPEN_SOURCE" redefined
In file included from /usr/include/stdio.h:28,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/../lib/replace/../replace/replace.h:39,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/include/includes.h:23,
                 from /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/provision.c:20:
/usr/include/features.h:160:1: warning: this is the location of the previous definition
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:27:22: error: pytalloc.h: No such file or directory
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c: In function 'PyLoadparmService_FromService':
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:46: warning: return makes pointer from integer without a cast
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c: At top level:
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:145: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:161: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:173: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:187: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:196: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:205: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:221: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:236: error: 'py_lp_ctx_load' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:239: error: 'py_lp_ctx_load_default' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:242: error: 'py_lp_ctx_is_myname' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:245: error: 'py_lp_ctx_is_mydomain' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:248: error: 'py_lp_ctx_get' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:251: error: 'py_lp_ctx_set' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:254: error: 'py_lp_ctx_private_path' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:259: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:264: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:274: error: 'py_lp_ctx_default_service' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:274: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:274: error: (near initialization for 'py_lp_ctx_getset[0].get')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:275: error: 'py_lp_ctx_config_file' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:275: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:275: error: (near initialization for 'py_lp_ctx_getset[1].get')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c: In function 'py_lp_ctx_new':
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:282: warning: return makes pointer from integer without a cast
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c: At top level:
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:285: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:290: error: expected ')' before '*' token
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:306: error: 'py_lp_ctx_len' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:306: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:306: error: (near initialization for 'py_lp_ctx_mapping.mp_length')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:307: error: 'py_lp_ctx_getitem' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:307: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:307: error: (near initialization for 'py_lp_ctx_mapping.mp_subscript')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:312: error: 'py_talloc_Object' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:312: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:312: error: (near initialization for 'PyLoadparmContext.tp_basicsize')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:313: error: 'py_talloc_dealloc' undeclared here (not in a function)
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:313: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:313: error: (near initialization for 'PyLoadparmContext.tp_dealloc')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:323: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:323: error: (near initialization for 'PyLoadparmService.tp_dealloc')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:324: error: initializer element is not constant
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:324: error: (near initialization for 'PyLoadparmService.tp_basicsize')
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c: In function 'lp_from_py_object':
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:349: error: expected expression before 'struct'
/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:349: warning: return makes pointer from integer without a cast
The following command failed:
x86_64-pc-linux-gnu-gcc -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I.. -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/../lib/replace -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hcrypto -I -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/include -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3 -I/usr/include/python2.6 -I/usr/include/python2.6  -I/usr/include/python2.6 -I/usr/include/python2.6 -I../lib/replace   -I/usr/include -I/usr/include -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -Iinclude -I./include  -I. -I. -I./../lib/replace   -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I./../lib/popt -I/usr/include -DLDAP_DEPRECATED -I/usr/include -I/usr/include -march=nocona -Os -mfpmath=sse -msse3 -pipe        -I/usr/include/python2.6 -I/usr/include/python2.6 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I./../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/usr/include -I/usr/include -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -Iinclude -I./include  -I. -I. -I./../lib/replace   -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I./../lib/popt -I/usr/include -DLDAP_DEPRECATED -I/usr/include -I/usr/include -march=nocona -Os -mfpmath=sse -msse3 -pipe    -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hdb -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal_build -I./../source4/heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/roken -I./../source4/heimdal/lib/roken -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hdb -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/ldb_tdb -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/ldb/include   -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi/gssapi -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi/spnego -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi/krb5 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi/mech -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/gssapi           -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/krb5 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/com_err   -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hx509 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hx509 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hx509 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hcrypto -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/hcrypto/imath -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/wind -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/asn1 -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/com_err -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/../heimdal_build -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/heimdal/lib/roken -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/../lib/socket_wrapper   -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/lib/events -I./../source4/lib/events -I/usr/include -I/usr/include -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -Iinclude -I./include  -I. -I. -I./../lib/replace   -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I./../lib/popt -I/usr/include -DLDAP_DEPRECATED -I/usr/include -I/usr/include -march=nocona -Os -mfpmath=sse -msse3 -pipe    -I../lib/replace     -I/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/../lib/tevent      -I/usr/include/python2.6 -I/usr/include/python2.6 -fPIC -c /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c -o /var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.o

---

The reason for that seems to be as follows:

--without-talloc (correctly) doesn't set tallocdir, thus
SAMBA4_CFLAGS = [...] -I$(tallocdir) \
                 [...]
in source3/samba4.mk results in an empty -I argument.

Since pytalloc.h is never installed for standalone libtalloc packages, the assumption would be to always pass -I../lib/talloc, so the included pytalloc.h can be found during the build.
That, in turn, imposes the risk of picking up the internal talloc.h instead of the one installed by the standalone package.

Thus, the suggestion would be to put the pytalloc stuff into its own subdir, e.g. lib/talloc/python. I'll attach a patch, that moves pytalloc.h there and sets the right CFLAGS in samba4.mk.
Anyway, this leads to another error while building pytalloc.c, which has to be fixed by generating the appropriate CFLAGS for the pytalloc.o target in samba4-data.mk.
I admit that I don't know how to do that using configure, so maybe someone with enough insight can have a look at this.

Best regards,
Torsten
Comment 1 Torsten Kurbad 2009-12-02 07:00:26 UTC
Created attachment 5041 [details]
samba-3.4.3-pytalloc.h-subdir.patch

After applying this patch, running configure and manually fixing the pytalloc.o build target in samba4-data.mk to include -I../lib/talloc/python in CFLAGS, I've run into another issue, reported in Bug #6953.
Comment 2 Andrew Tridgell 2009-12-03 04:50:47 UTC
Is this the bug I fixed with commit 3050f8328862c7c77d3d692453bd9cc0885824e5 on
Oct 23rd?

Cheers, Tridge
Comment 3 Torsten Kurbad 2009-12-03 05:12:57 UTC
(In reply to comment #2)
> Is this the bug I fixed with commit 3050f8328862c7c77d3d692453bd9cc0885824e5 on
> Oct 23rd?

Nope, this seems unrelated. Your commit nicely fixes the annoying python warnings, though. :-)

The line of real interest is:

/var/tmp/portage/net-fs/samba-server-3.4.3-r2/work/samba-3.4.3/source3/../source4/param/pyparam.c:27:22:
error: pytalloc.h: No such file or directory

Best regards,
Torsten
Comment 4 Torsten Kurbad 2009-12-09 04:15:30 UTC
No further comments on this one?

I ask, because it's a real showstopper for Franky-builds...
Comment 5 Torsten Kurbad 2009-12-10 16:10:32 UTC
Created attachment 5081 [details]
samba-3.4.3-pytalloc.h-subdir.patch

The new patch moves all pytalloc stuff to lib/talloc/python and changes the autoconf system accordingly.

The current v3-4-test git now compiles with external talloc-1.3.1. For talloc-2.0.0, problems similar to Bug #6953 still exist (i.e. missing symbols 'talloc_free', '_talloc_steal', ...)
Comment 6 Stefan Metzmacher 2011-07-12 20:53:00 UTC
Is this still a problem in v3-6-test/master?
Comment 7 Stefan Metzmacher 2011-10-12 14:21:44 UTC
The top level build in master should handle that fine now.
And that's the only tree where we support a the combined tree build.